Template Numerical Library: TNL::Functions::experimental::VectorField< Size, MeshFunction< Mesh, MeshEntityDimension, Real > > Class Template Reference

Template Numerical Library version\ main:c7077e4fd

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Functions::experimental::VectorField< Size, MeshFunction< Mesh, MeshEntityDimension, Real > > Class Template Reference
Inheritance diagram for TNL::Functions::experimental::VectorField< Size, MeshFunction< Mesh, MeshEntityDimension, Real > >:
[legend]
Collaboration diagram for TNL::Functions::experimental::VectorField< Size, MeshFunction< Mesh, MeshEntityDimension, Real > >:
[legend]

## Public Types
typedef MeshType::DeviceType | DeviceType
typedef Pointers::SharedPointer< FunctionType > | FunctionPointer
typedef MeshFunction< MeshType, MeshEntityDimension, RealType > | FunctionType
typedef MeshType::GlobalIndexType | IndexType
typedef Pointers::SharedPointer< MeshType > | MeshPointer
typedef Mesh | MeshType
typedef FunctionType::PointType | PointType
typedef Real | RealType
typedef Containers::StaticVector< Size, RealType > | VectorType
Public Types inherited from TNL::Functions::experimental::Domain< MeshFunction< Mesh, MeshEntityDimension, Real >::getDomainDimension(), MeshFunction< Mesh, MeshEntityDimension, Real >::getDomainType() >
using | DeviceType

## Public Member Functions
| VectorField (const MeshPointer &meshPointer)
VectorType | getElement (const IndexType i) const
template<typename Device = Devices::Host>
__cuda_callable__ const MeshType & | getMesh () const
const MeshPointer & | getMeshPointer () const
template<typename EntityType>
__cuda_callable__ VectorType | getVector (const EntityType &meshEntity) const
__cuda_callable__ VectorType | getVector (const IndexType index) const
__cuda_callable__ FunctionPointer & | operator[] (int i)
__cuda_callable__ const FunctionPointer & | operator[] (int i) const
__cuda_callable__ void | setElement (const IndexType i, const VectorType &v)
void | setMesh (const MeshPointer &meshPointer)
bool | setup (const MeshPointer &meshPointer, const Config::ParameterContainer &parameters, const String &prefix="")
template<typename EntityType>
void | setValue (const EntityType &meshEntity, const FunctionType &value)
bool | write (const std::string &functionName, const std::string &fileName, const std::string &fileFormat="auto") const

## Static Public Member Functions
static void | configSetup (Config::ConfigDescription &config, const String &prefix="")
static IndexType | getDofs (const MeshPointer &meshPointer)
static constexpr int | getEntitiesDimension ()
static constexpr int | getMeshDimension ()
static constexpr int | getVectorDimension ()
Static Public Member Functions inherited from TNL::Functions::experimental::Domain< MeshFunction< Mesh, MeshEntityDimension, Real >::getDomainDimension(), MeshFunction< Mesh, MeshEntityDimension, Real >::getDomainType() >
static constexpr int | getDomainDimension ()
static constexpr DomainType | getDomainType ()

## Protected Attributes
Containers::StaticArray< Size, FunctionPointer > | vectorField

The documentation for this class was generated from the following file:

- src/TNL/Functions/experimental/VectorField.h